Package org.apache.sysds.runtime.matrix.data

# Class MatrixValue.CellIndex

java.lang.Object
org.apache.sysds.runtime.matrix.data.MatrixValue.CellIndex

Enclosing class:
  MatrixValue

public static class MatrixValue.CellIndex extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`column`
`int`
`row`

## Constructor Summary

Constructors
Constructor
Description
`CellIndex(int r, int c)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object that)`
`int`
`hashCode()`
`void`
`set(int r, int c)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### row

public int row

### column

public int column

## Constructor Details

### CellIndex

public CellIndex(int r, int c)

## Method Details

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### set

public void set(int r, int c)

### toString

public String toString()

Overrides:
  `toString` in class `Object`